/* Hero section */
.hero-section {
    position: relative;
    overflow: hidden;
    min-height: calc(80vh - 74px);
    padding: 80px 0;
    color: #fff;

    background: radial-gradient(
            circle at top left,
            #cde6fe 10%,
            transparent 25%
        ),
        linear-gradient(90deg, #f4f8fe 0%, #f4f8fe 100%);
}

.hero-title {
    font-size: 70px;
    line-height: 1.02;
    letter-spacing: -0.01em;
}

/* Hero right card */
.hero-card {
    background: var(--card-bg);
    color: var(--card-text);
    border-radius: 12px;
    padding: 20px;
    box-shadow: 0 20px 40px rgba(15, 44, 76, 0.15);
    border: none;
}

.hero-card .form-control,
.hero-card .form-select {
    border-radius: 8px;
    border: 1px solid #e7eef6;
    padding: 12px 14px;
    height: 48px;
    color: #8099a8;
    font-weight: 350;
    font-size: 14px;
}

.hero-character {
    width: 100%;
    display: block;
    user-select: none;
}

.hero-character-wrapper {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 700px;
    z-index: 1;
}

.hero-background-circle-wrapper {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 800px;
    z-index: 1;
}

/* Media Queries */
@media (max-width: 991.98px) {
    .hero-section {
        padding: 20px 0;
        height: fit-content !important;
        display: flex;
        flex-direction: column-reverse !important;
    }
    .hero-section .container {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }
    .hero-title {
        font-size: 40px;
        line-height: 1.02;
        letter-spacing: -0.01em;
    }
    .hero-background-circle-wrapper {
        display: none;
    }
    .hero-character-wrapper {
        position: relative !important;
        right: unset !important;
        bottom: unset !important;
        width: 100%;
        z-index: 1;
        margin-bottom: 40px;
    }
    .hero-character-wrapper img {
        padding-right: 20px;
    }
    .hero-character-wrapper::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 120px;
        background: linear-gradient(to bottom, transparent, #f3f8fd);
        filter: blur(0px);
        pointer-events: none;
    }
    .hero-card {
        margin-top: 30px;
    }
    .hero-ctas {
        margin-top: 30px !important;
    }
    .hero-ctas .btn {
        width: 100%;
    }
}
